GWT 2.7.0

## com.google.gwt.uibinder.elementparsers
Class CellPanelParser

    java.lang.Object
      com.google.gwt.uibinder.elementparsers.CellPanelParser

All Implemented Interfaces:
  ElementParser

    public class CellPanelParser

extends java.lang.Object
implements ElementParser

Parses `CellPanel` widgets.

Constructor Summary
`CellPanelParser()`

Method Summary
`void` | `parse(com.google.gwt.uibinder.rebind.XMLElement elem, java.lang.String fieldName, JClassType type, com.google.gwt.uibinder.rebind.UiBinderWriter writer)` Parse the given element, generating the code to initialize it from the element's attributes and children.
`protected static void` | `parseCellAttributes(com.google.gwt.uibinder.rebind.XMLElement cellElem, java.lang.String fieldName, com.google.gwt.uibinder.rebind.FieldWriter childField, com.google.gwt.uibinder.rebind.UiBinderWriter writer)` Parses the alignment and size attributes common to all CellPanels.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellPanelParser

    public CellPanelParser()

Method Detail

### parseCellAttributes

    protected static void parseCellAttributes(com.google.gwt.uibinder.rebind.XMLElement cellElem,
                                              java.lang.String fieldName,
                                              com.google.gwt.uibinder.rebind.FieldWriter childField,
                                              com.google.gwt.uibinder.rebind.UiBinderWriter writer)
                                       throws UnableToCompleteException

  Parses the alignment and size attributes common to all CellPanels. This is exposed publicly because there is a DockPanelParser that overrides the default behavior, but still needs to parse these attributes.

  Throws:
    `UnableToCompleteException`

### parse

    public void parse(com.google.gwt.uibinder.rebind.XMLElement elem,
                      java.lang.String fieldName,
                      JClassType type,
                      com.google.gwt.uibinder.rebind.UiBinderWriter writer)
               throws UnableToCompleteException

  Description copied from interface: `ElementParser`
  Parse the given element, generating the code to initialize it from the element's attributes and children.

  Specified by:
    `parse` in interface `ElementParser`
  Parameters:
    `elem` - the element to be parsed
    `fieldName` - the name of the widget field to be initialized
    `type` - TODO
    `writer` - the writer
  Throws:
    `UnableToCompleteException` - on error

GWT 2.7.0